## ros-rolling-diagnostics 3.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(diagnostics)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-rolling-diagnostics (3.1.2-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Mar 2023 23:00:00 -0000

ros-rolling-diagnostics (3.1.1-1jammy) jammy; urgency=high

  * Maintainer update
  * Contributors: Austin, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 15 Mar 2023 23:00:00 -0000

ros-rolling-diagnostics (3.1.0-1jammy) jammy; urgency=high

  * Adding READMEs to the repo (#270 <https://github.com/ros/diagnostics/issues/270>)
  * License fixes (#263 <https://github.com/ros/diagnostics/issues/263>)
  * Fix/cleanup ros1 (#257 <https://github.com/ros/diagnostics/issues/257>)
  * Contributors: Austin, Christian Henkel, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 25 Jan 2023 23:00:00 -0000

ros-rolling-diagnostics (1.9.3-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-rolling-diagnostics (1.9.2-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-rolling-diagnostics (1.9.1-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-rolling-diagnostics (1.9.0-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-rolling-diagnostics (1.8.10-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-rolling-diagnostics (1.8.9-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-rolling-diagnostics (1.8.8-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-rolling-diagnostics (1.8.7-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-rolling-diagnostics (1.8.6-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-rolling-diagnostics (1.8.5-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-rolling-diagnostics (1.8.4-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 18:51:00 -0000

ros-rolling-diagnostics (1.8.3-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-rolling-diagnostics (1.8.2-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-rolling-diagnostics (1.8.1-1jammy) jammy; urgency=high

  * Add myself as maintainer
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Sun, 06 Apr 2014 22:00:00 -0000

ros-rolling-diagnostics (1.8.0-1jammy) jammy; urgency=high

  * Updating metapackages to reflect REP-0127
  * Contributors: William Woodall

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Apr 2013 22:00:00 -0000

ros-rolling-diagnostics (1.7.11-1jammy) jammy; urgency=high

  * Restore diagnostics meta package description
    For the wiki etc.
  * Updating metapackages to reflect REP-0127
  * Contributors: Felix Kolbe, William Woodall

 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 18:24:00 -0000

ros-rolling-diagnostics (1.7.10-1jammy) jammy; urgency=high

  * Changed package.xml version number before releasing
  * Contributors: Brice Rebsamen

 -- Austin Hendrix <namniart@gmail.com>  Thu, 21 Feb 2013 23:00:00 -0000

ros-rolling-diagnostics (1.7.9-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 13 Dec 2012 23:00:00 -0000

ros-rolling-diagnostics (1.7.8-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 05 Dec 2012 23:00:00 -0000

ros-rolling-diagnostics (1.7.7-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 09 Nov 2012 23:00:00 -0000

ros-rolling-diagnostics (1.7.6-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 22:32:00 -0000

ros-rolling-diagnostics (1.7.5-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 20:53:00 -0000

ros-rolling-diagnostics (1.7.4-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Nov 2012 19:18:00 -0000

ros-rolling-diagnostics (1.7.3-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 03 Nov 2012 23:00:00 -0000

ros-rolling-diagnostics (1.7.2-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 30 Oct 2012 21:31:00 -0000

ros-rolling-diagnostics (1.7.1-1jammy) jammy; urgency=high

  * fix a few things after the first release
  * add the meta-package
  * Contributors: Vincent Rabaud

 -- Austin Hendrix <namniart@gmail.com>  Tue, 30 Oct 2012 14:30:00 -0000

ros-rolling-diagnostics (1.7.0-1jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sun, 28 Oct 2012 23:00:00 -0000

=== debian/control ===
Source: ros-rolling-diagnostics
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: http://www.ros.org/wiki/diagnostics
Standards-Version: 3.9.2

Package: ros-rolling-diagnostics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-diagnostic-aggregator, ros-rolling-diagnostic-common-diagnostics, ros-rolling-diagnostic-updater, ros-rolling-self-test, ros-rolling-ros-workspace
Description: diagnostics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-diagnostics//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
